|  | Home · All Classes · Modules

# QHelpContentWidget Class Reference
[QtHelp module]

The QHelpContentWidget class provides a tree view for displaying help content model items. More...

Inherits QTreeView.

### Methods

- QModelIndex indexOf (self, QUrl link)

### Qt Signals

- void linkActivated (const QUrl&)

## Detailed Description

The QHelpContentWidget class provides a tree view for displaying help content model items.

## Method Documentation

### QModelIndex QHelpContentWidget.indexOf (self, QUrl link)

Returns the index of the content item with the link. An invalid index is returned if no such an item exists.

## Qt Signal Documentation

### void linkActivated (const QUrl&)

This is the default overload of this signal.

This signal is emitted when a content item is activated and its associated link should be shown.